HepMC3 event record library: Data Fields

HepMC3 event record library

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - s -

- Scale() : Scale
- scale : GenPdfInfo, Clus, PDFInfo, Scale
- Scales() : Scales
- scales : HEPEUP, Scales
- SCALUP : HEPEUP, PDFInfo, Scales
- scheme : ProcInfo
- SelectorWrapper() : SelectorWrapper< Feature_type >
- set() : FourVector, GenHeavyIon, GenPdfInfo
- set_accepted_events() : GenCrossSection
- set_associated() : AssociatedParticle
- set_attempted_events() : GenCrossSection
- set_beam_particles() : GenEvent
- set_buffer_size() : WriterAscii, WriterAsciiHepMC2
- set_children() : HEPEVT_Wrapper, HEPEVT_Wrapper_Runtime, HEPEVT_Wrapper_Runtime_Static, HEPEVT_Wrapper_Template< max_particles, momentum_type >
- set_component() : FourVector
- set_cross_section() : GenCrossSection, GenEvent
- set_debug_level() : Setup
- set_e() : FourVector
- set_errors_level() : Setup
- set_event_number() : GenEvent, HEPEVT_Wrapper, HEPEVT_Wrapper_Runtime, HEPEVT_Wrapper_Runtime_Static, HEPEVT_Wrapper_Template< max_particles, momentum_type >
- set_generated_mass() : GenParticle
- set_heavy_ion() : GenEvent
- set_hepevt_address() : HEPEVT_Wrapper, HEPEVT_Wrapper_Runtime, HEPEVT_Wrapper_Runtime_Static, HEPEVT_Wrapper_Template< max_particles, momentum_type >
- set_id() : HEPEVT_Wrapper, HEPEVT_Wrapper_Runtime, HEPEVT_Wrapper_Runtime_Static, HEPEVT_Wrapper_Template< max_particles, momentum_type >
- set_is_parsed() : Attribute
- set_mass() : HEPEVT_Wrapper, HEPEVT_Wrapper_Runtime, HEPEVT_Wrapper_Runtime_Static, HEPEVT_Wrapper_Template< max_particles, momentum_type >
- set_max_number_entries() : HEPEVT_Wrapper, HEPEVT_Wrapper_Runtime, HEPEVT_Wrapper_Runtime_Static, HEPEVT_Wrapper_Template< max_particles, momentum_type >
- set_momentum() : GenParticle, HEPEVT_Wrapper, HEPEVT_Wrapper_Runtime, HEPEVT_Wrapper_Runtime_Static, HEPEVT_Wrapper_Template< max_particles, momentum_type >
- set_number_entries() : HEPEVT_Wrapper, HEPEVT_Wrapper_Runtime, HEPEVT_Wrapper_Runtime_Static, HEPEVT_Wrapper_Template< max_particles, momentum_type >
- set_options() : Reader, ReaderPlugin, Writer, WriterPlugin
- set_parents() : HEPEVT_Wrapper, HEPEVT_Wrapper_Runtime, HEPEVT_Wrapper_Runtime_Static, HEPEVT_Wrapper_Template< max_particles, momentum_type >
- set_pdf_info() : GenEvent
- set_pdg_id() : GenParticle
- set_pid() : GenParticle
- set_position() : GenVertex, HEPEVT_Wrapper, HEPEVT_Wrapper_Runtime, HEPEVT_Wrapper_Runtime_Static, HEPEVT_Wrapper_Template< max_particles, momentum_type >
- set_precision() : WriterAscii, WriterAsciiHepMC2
- set_print_errors() : Setup
- set_print_warnings() : Setup
- set_px() : FourVector
- set_py() : FourVector
- set_pz() : FourVector
- set_run_info() : GenEvent, Reader, ReaderGZ< T >, ReaderPlugin, Writer, WriterGZ< T, C >, WriterPlugin
- set_run_number() : WriterRootTreeOPAL
- set_status() : GenParticle, GenVertex, HEPEVT_Wrapper, HEPEVT_Wrapper_Runtime, HEPEVT_Wrapper_Runtime_Static, HEPEVT_Wrapper_Template< max_particles, momentum_type >
- set_style() : WriterDOT
- set_t() : FourVector
- set_units() : GenEvent
- set_unparsed_string() : Attribute
- set_value() : BoolAttribute, CharAttribute, DoubleAttribute, FloatAttribute, IntAttribute, LongAttribute, LongDoubleAttribute, LongLongAttribute, StringAttribute, UIntAttribute, ULongAttribute, ULongLongAttribute, VectorCharAttribute, VectorDoubleAttribute, VectorFloatAttribute, VectorIntAttribute, VectorLongDoubleAttribute, VectorLongIntAttribute, VectorLongLongAttribute, VectorStringAttribute, VectorUIntAttribute, VectorULongAttribute, VectorULongLongAttribute
- set_vertices_positions_present() : WriterHEPEVT
- set_warnings_level() : Setup
- set_weight_names() : GenRunInfo
- set_x() : FourVector
- set_xsec() : GenCrossSection
- set_xsec_err() : GenCrossSection
- set_y() : FourVector
- set_z() : FourVector
- setE() : FourVector
- SetEvent() : MyClass
- setEvent() : HEPEUP
- SetInt() : MyClass, MyRunClass
- setPx() : FourVector
- setPy() : FourVector
- setPz() : FourVector
- SetRunInfo() : MyRunClass
- setSubEvent() : HEPEUP
- setT() : FourVector
- Setup() : Setup
- setWeight() : HEPEUP
- setWeightInfo() : HEPEUP
- setX() : FourVector
- setY() : FourVector
- setZ() : FourVector
- shift_position_by() : GenEvent
- shift_position_to() : GenEvent
- sigma_inel_NN : GenHeavyIon
- skip() : Reader, ReaderAscii, ReaderAsciiHepMC2, ReaderGZ< T >, ReaderHEPEVT, ReaderLHEF, ReaderMT< T, m_number_of_threads >, ReaderPlugin, Readerprotobuf, ReaderRoot, ReaderRootTree
- someint : MyClass, MyRunClass
- spectator_neutrons : GenHeavyIon
- spectator_protons : GenHeavyIon
- SPINUP : HEPEUP
- start_file() : Writerprotobuf
- STATUS : StandardSelector
- status() : GenParticle, GenParticleData, GenVertex, GenVertexData, HEPEVT_Wrapper, HEPEVT_Wrapper_Runtime, HEPEVT_Wrapper_Runtime_Static, HEPEVT_Wrapper_Template< max_particles, momentum_type >
- StringAttribute() : StringAttribute
- stype : Scale
- subevents : HEPEUP
- sudakov : Weight